Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Interface Client

All Superinterfaces:
  InterceptorProvider, MessageObserver

    public interface Client

extends InterceptorProvider, MessageObserver

Field Summary
`static java.lang.String` | `REQUEST_CONTEXT`
`static java.lang.String` | `RESPONSE_CONTEXT`

Method Summary
`Endpoint` | `getEndpoint()`
`java.lang.Object[]` | `invoke(BindingOperationInfo oi, java.lang.Object[] params, java.util.Map<java.lang.String,java.lang.Object> context)` Invokes an operation syncronously

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Methods inherited from interface org.apache.cxf.transport.MessageObserver
`onMessage`

Field Detail

### REQUEST_CONTEXT

    static final java.lang.String REQUEST_CONTEXT

See Also:
  Constant Field Values

### RESPONSE_CONTEXT

    static final java.lang.String RESPONSE_CONTEXT

See Also:
  Constant Field Values

Method Detail

### invoke

    java.lang.Object[] invoke(BindingOperationInfo oi,
                              java.lang.Object[] params,
                              java.util.Map<java.lang.String,java.lang.Object> context)
                              throws java.lang.Exception

  Invokes an operation syncronously

  Parameters:
    `oi` - The operation to be invoked
    `params` - The params that matches the parts of the input message of the operation
    `context` - Optional (can be null) contextual information for the invocation
  Returns:
    The return values that matche the parts of the output message of the operation
  Throws:
    `java.lang.Exception`

### getEndpoint

    Endpoint getEndpoint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-